// console.log("Prisutan na casu");
//   use strict; 

let nizSlika = ['florence.jpg', 'stanford.jpg', 'muzej.jpg'];
let tekuciIndeks = 0; 
let d1 = document.querySelector("div"); 
d1.innerHTML = d1.innerHTML + "<p>Novi tekst</p>";
let slika = d1.querySelector("img");
slika.src = "images/" + nizSlika[1]; 
let noviParagraf = document.createElement("p");
noviParagraf.textContent = "Treci paragraf"; 
d1.appendChild(noviParagraf);

let lista1 = document.querySelector("#multi");
let niz = lista1.querySelectorAll("option:checked");
for (elem of niz) {
    console.log(elem.value);
}

let btnPopuni = document.getElementById("fillimage");
console.log(btnPopuni);

btnPopuni.addEventListener('click', klikPopuni);

let btnFromList = document.querySelector("#listselect");
btnFromList.addEventListener('click', klikLista);

let novoDugme = document.querySelector(".dugme");

// prvi nacin - pisemo novu funkciju novoDugmeHandler 
novoDugme.addEventListener('click', novoDugmeHandler);

// drugi nacin - anonimna funkcija
/*
novoDugme.addEventListener('click', function(event) {
	let imeFajla = document.querySelector("#search").value;
	showImage(imeFajla);
});
*/

// treci nacin - anonimna funkcija preko lambda izraza
/*
novoDugme.addEventListener('click', (event)=> {
	let imeFajla = document.querySelector("#search").value;
	showImage(imeFajla);
});
*/

// Dogadja 'keydown' prikacimo za document; koristimo anonimnu funkciju  
document.addEventListener('keydown', function(event){
	  if (event.key === 'Escape') {
		return;
	  }

	  if (event.key !== 'ArrowLeft' && event.key !== 'ArrowRight') {
		return;
	  }
		
	  let sledeciIndeks = tekuciIndeks;
	  if (event.key === 'ArrowLeft') {
		sledeciIndeks--;
	  } else {
		sledeciIndeks++;
	  }
	  
	  if (sledeciIndeks < 0 || sledeciIndeks == nizSlika.length) {
		return;
	  }
	  
	  tekuciIndeks = sledeciIndeks;
	  showImage(nizSlika[sledeciIndeks]);
});

let klikni = document.querySelector('p');
klikni.addEventListener('click', onClickShow);

// poziva se tajmer
function onClickShow(event){
    let i = 0;
    function showPic() {         
        showImage(nizSlika[i]);
		i = (i + 1) % nizSlika.length;  
    }
    // poziva se funkcija showPic svake 2 sekunde  
    setInterval(showPic, 2000);
}

function klikLista(event) {
    event.preventDefault();
	let lista = document.querySelector("select");
    // alert(lista.selectedIndex);
	let i = parseInt(lista.selectedIndex); 
	showImage(nizSlika[i]); 
}

function klikPopuni(event){
	event.preventDefault();  
    let txtNaziv = document.querySelector("#search");
    let imeFajla = txtNaziv.value; 
    showImage(imeFajla);
}

function showImage(newImage) {
		let slika = document.getElementById("photo");
		let ekstenzija = ""; 
		if (newImage.indexOf(".jpg") < 0) {
			ekstenzija = ".jpg";
		}  		
		slika.src="images/" + newImage + ekstenzija;
}

function novoDugmeHandler(event){
	let imeFajla = document.querySelector("#search").value;
	showImage(imeFajla);
}


 